	PROGRAM main
	 IMPLICIT NONE

	 REAL, DIMENSION(5)    :: A
	 REAL, DIMENSION(-2:2) :: B
	 REAL, DIMENSION(-2:2) :: C = (/ 111, 222, 333, 444, 555 /)
	 INTEGER i

	 print *, "A(5) "
	 DO i = 1, 5
	    print *, " ", A(i)
	 END DO

	 print *
	 print *, "B(-2:2) "
	 DO i = -2, 8
	    print *, " ", B(i)
	 END DO

	 print *
	 print *, "C(-2:2) "
	 DO i = -2, 2
	    print *, " ", C(i)
	 END DO


	END
